
In the summer of 1975, my family was visiting friends in Colorado. My family consisted of four children and the other family had three children. We quickly got bored and asked if we could go outside to play. My younger siblings had to stay with the parents. My older brother was 8 years old and the three other children were ages 7 to 12 years old. We all walked down to the end of the street to an alfalfa field. There was an irrigation ditch that ran through the field and into a culvert under the street. The opening of the culvert had a metal grate to keep trash and debris from clogging the culvert. The ditch was full. As we were playing, I fell backwards into the water. When I hit the water, I could hear everyone screaming my name.

I could see sunlight through the dirty water. Then I started to swallow and breathe in water. The current quickly sucked me under the grate and into the culvert. I was then slowly floating upwards into the sky and looking down at all the children running back to the house to get help. I could see all the houses on the street and even saw the family car parked in front. I don't remember seeing anyone leaving the house but I do remember looking up into the sky. I felt at peace and had no feelings of fear at all.

I then heard my father calling my name. I came back to consciousness while floating on my stomach. I quickly stood up while coughing and puking up water.I saw the light at the entrance of the culvert and had to fight the current of the chest deep water to reach my father. I was about 30 feet inside the culvert. My dad told me to hold my breath as he pulled me out from under the grate. I was carried back to the house where I continued to puke up water for some time.
